function [x, iters, res] = gaussSeidel(A, b, x0, maxIter, tol)
%GAUSSSEIDEL: Gauss-Seidel Method
% Syntax: [x, iters] = gaussSeidel(A, b, x0, maxIter, tol)
% Inputs:
%   A       = coefficient matrix (matrix)
%   b       = right-hand side vector (column vector)
%   x0      = solution to the linear system (column vector)
%   maxIter = maximum of number of iterations (scalar)
%   tol     = tolerance (scalar)
% Outputs:
%   x     = solution to the linear system (matrix, i-th column is the solution in the i-th iteration)
%   iters = number of iterations performed (vector)
%   res   = norm of residuals (vector)
%
% Author: first_name last_name
% Date: mm/dd/yyyy


end
